/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.awt.Graphics;
import java.awt.event.MouseEvent;

class DSigPseudosperre extends Signalhebelsperre {
	public DSigPseudosperre () {
		super (false, null, null);
		setSize (60, 80);
	}
	
	public void setSignale (Hebel hebel1, Hebel hebel2) {
		h1 = (Signalhebel)hebel1;
		h2 = (Signalhebel)hebel2;
	}
	
	public void paint (Graphics g) { }
	
	public boolean umlegenOk (boolean position) {
		if (pos) return true;
		return h1.position() && h2.position();
	}
	
	public void umlegen (boolean position) {
		if (position) {
			h1.signalFesthalten();
			h2.signalFesthalten();
		} else {
			h1.signalLoslassen();
			h2.signalLoslassen();
		}
		pos = position;
	}
	
	public void mouseClicked (MouseEvent e) { }
	
	boolean pos;
	Signalhebel h1;
	Signalhebel h2;
	
	static final long serialVersionUID = -4064475334917418410L;
}
