/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.awt.*;
import java.awt.image.*;

/**
 * @author Simon Gander
 */

public class Drehtaste {
	static {
		taste_aus = Tools.loadImage("taste_aus");
		taste_ein = Tools.loadImage("taste_ein");
	}
	
	public Drehtaste(FSKasten p, int x, int y) {
		parent = p;
		pos = new Point (x, y);
	}

	public void einschalten() {
		ein = true;
	}
	
	public void ausschalten() {
		ein = false;
	}
	
	public void paint(Graphics g) {
		if (ein) {
			g.drawImage (taste_ein, pos.x - 8, pos.y - 8, parent);
		} else {
			g.drawImage (taste_aus, pos.x - 8, pos.y - 8, parent);
		}
	}
	
	FSKasten parent;
	Point pos;
	
	boolean ein;
	static BufferedImage taste_aus;
	static BufferedImage taste_ein;
}
